[Overview][Constants][Procedures and functions][Index] | Reference for unit 'DateUtils' (#rtl)

# HourOfTheYear

Calculate the number of hours passed since the start of the year.

## Declaration

Source position: dateutil.inc line 193

`function HourOfTheYear(`
`const AValue: TDateTime`
`):Word;`

## Arguments

`AValue` |  | TDateTime value for which to calculate the hour of the year

## Function result

Number of hours passed since the start of the year till AValue .

## Description

HourOfTheYear returns the number of hours that have passed since the start of the year (January 1, 00:00:00) till the moment indicated by AValue. This is a zero-based number, i.e. January 1 00:59:59 will return 0.

For an example, see the WeekOfTheYear function.

## See also

WeekOfTheYear |  | Extract the week of the year (and optionally year) of a TDateTime indication.
DayOfTheYear |  | Extracts the day of the year from a TDateTime value
MinuteOfTheYear |  | Calculate the number of minutes elapsed since the start of the year
SecondOfTheYear |  | Calculate the number of seconds elapsed since the start of the year.
MilliSecondOfTheYear |  | Calculate the number of milliseconds elapsed since the start of the year.